<?php
/**
 * The main template file
 * @package Car Rental Service
 * @since 1.0.0
 */

get_header();

$car_rental_service_layout = car_rental_service_get_final_sidebar_layout();
$car_rental_service_column_class = ($car_rental_service_layout === 'right-sidebar') ? 'column-order-1' : 'column-order-2';

?>

<?php if (!is_front_page()) : get_template_part('template-parts/page-banner'); endif; ?>

<div class="archive-main-block">
    <div class="wrapper">
        <div class="column-row <?php echo esc_attr($car_rental_service_layout === 'no-sidebar' ? 'no-sidebar-layout' : ''); ?>">

            <div id="primary" class="content-area <?php echo esc_attr($car_rental_service_column_class); ?>">
                <main id="site-content" role="main">

                    <?php
                    if (have_posts()) : ?>

                        <div class="article-wraper article-wraper-archive">
                            <?php
                            while (have_posts()) :
                                the_post();
                                get_template_part('template-parts/content', get_post_format());
                            endwhile;
                            ?>
                        </div>

                        <?php
                        if (is_search()) {
                            the_posts_pagination();
                        } else {
                            do_action('car_rental_service_posts_pagination');
                        }

                    else :
                        get_template_part('template-parts/content', 'none');
                    endif;
                    ?>
                </main>
            </div>

            <?php if ($car_rental_service_layout !== 'no-sidebar') get_sidebar(); ?>

        </div>
    </div>
</div>

<?php get_footer(); ?>
